<?
	$rootpath = '';
	require_once 'includes/start.php';
	require_once 'includes/function.php';
	if($_POST or $_GET)
	{
		if($_POST)
		{
			$login = isset($_POST['login']) ? check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim(antilink($_POST['login'])))))))): false;
			$password = isset($_POST['password']) ? check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['password']))))))) : false;
		}
		else
		{
			$login = isset($_GET['login']) ? check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim(antilink($_GET['login'])))))))): false;
			$password = isset($_GET['password']) ? check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_GET['password']))))))) : false;
		}
		
		$error = false;
		if (empty($login) or empty($password))
			$errors = 'Авторизация провалена! Заполните поля!';
		if(empty($errors))
		{
			$pass = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim(md5(sha1(sha1(md5(md5(sha1($password)))))))))))));
			$req = mysql_query("SELECT * FROM `users` WHERE `login`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim(antilink($login)))))))) . "' AND `password`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($pass))))))) . "' LIMIT 1");
			if (mysql_num_rows($req) == 0)
				$errors = 'Ошибка авторизации! Логин и/или пароль не верны!';
			else
				$res = mysql_fetch_array($req);
		}
		if(empty($errors))
		{
			$use_id = $res['id'];
			if ($_POST['memory'] == 1)
			{
				$cuid = base64_encode($use_id);
				$cups = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim(md5($password))))))));
				setcookie("uid", check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($cuid))))))), time() + 3600 * 24 * 14);
				setcookie("pass", check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($cups))))))), time() + 3600 * 24 * 14);
			}

			$_SESSION['uid'] = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))));
			$_SESSION['pass'] = check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($pass)))))));
			
				mysql_query("UPDATE `users` SET `lasttime`=" . time() . " WHERE `id` = '" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id))))))) . "'");
				header("Location: $home/game.php");

				require_once 'includes/header1.php';
				echo '
				<title>Вход в игру</title>';
				echo '
					<meta name="keywords" content="Астрономика, онлайн игра, астра, astronomika, космическая мобильная игра">';
				echo '
				</head>
				<body>';
				echo '
				<body oncontextmenu="return false;">
				<body onselectstart="return false"  oncopy="return false"><body onload="digitalWatch()">
				<style type="text/css">{-moz-user-select: none;-webkit-user-select: none;-ms-user-select: none;-o-user-select: none;user-select: none;}
				</style>';
				echo "
				<div class=\"blok3\">
					<font color=\"#99EEFF\"><font style=\"font-family:Monotype Corsiva;\"><h2>Вход</h2></font></font>
				</div>";
				echo "
				<div class=\"blok3\">
					<font color=\"#35FCFC\"><b>Добро пожаловать в игру!!!
					</b></font><br/>
					<font color=\"#35FCFC\">Игрок</font> <font color=\"#4EEE94\">[".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim(antilink($login))))))))."]</font>
					<font color=\"#35FCFC\"> ID </font><font color=\"#4EEE94\"> [".check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($use_id)))))))."]
					</font></div>"; 
				echo '
				<img src="images/vxod.jpg" width="500px" />';
				echo '
				<center>
					<div class="blue2"><div style=\'padding: 7px 4px;\'><a class="bmr" href="'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($home))))))).'/"><b>Вход</b></a>
					</div>
				</center>';
				require_once 'includes/footer1.php';
		}
		else
		{
			require_once 'includes/header1.php';
			echo '
			<title>Ошибка</title>';
			echo '
				<meta name="keywords" content="Астрономика, онлайн игра, астра, astronomika, космическая мобильная игра">';
			echo '
			</head>
			<body>';
			echo '
			<body oncontextmenu="return false;">
			<body onselectstart="return false"  oncopy="return false"><body onload="digitalWatch()">
			<style type="text/css">{-moz-user-select: none;-webkit-user-select: none;-ms-user-select: none;-o-user-select: none;user-select: none;}</style>';
			echo "
			<center>
				<div class=\"blok3\"><img src=\"images/errors.png\" width=\"200px\"/>
				</div>
			</center>
					<div class=\"blok3\"><b>" . $errors . " </b>
					</div>";
			echo "
			<div class=\"blok\"><a href=\"index.php\"><b>Назад</b></a></div>";
			require_once 'includes/footer1.php';
			
		}
	}
?>